This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 287741 - PCI: hotplug: acpiphp: avoid acpiphp "cannot get bridge info" PCI hotplug failure
PCI: hotplug: acpiphp: avoid acpiphp "cannot get bridge info" PCI hotplug fai...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Konrad Rzeszutek
Martin Jenner
:
Depends On:
Blocks: 422551 430698
  Show dependency treegraph
 
Reported: 2007-09-12 11:19 EDT by Flavio Leitner
Modified: 2011-01-24 16:59 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backported patch from upstream to RHEL4 2.6.9-59.el (2.27 KB, patch)
2007-09-12 11:19 EDT, Flavio Leitner
no flags Details | Diff

  None (edit)
Description Flavio Leitner 2007-09-12 11:19:01 EDT
Description of problem:

On some systems, the ACPI bus check event can reference a bridge that is
higher in the ACPI hierarchy than the bridge immediately above the
hotplug PCI slot into which an adapter was just inserted.  The current
'acpiphp' code expects the bus check event to reference the bridge
immediately above the slot that received the adapter so the hotplug
operation can fail on these systems with the message "acpiphp_glue:
cannot get bridge info".

Version-Release number of selected component (if applicable):
kernel 2.6.9-55.ELlargesmp  SMP x86_64

How reproducible:
Always

Steps to Reproduce:
1. Vacate at least one hotplug PCIe slot and boot system.
2. Load the ACPI PCI hotplug driver:
     # modprobe acpiphp
3. Attempt to hotplug a PCIe adapter.
4. Observe the "acpiphp_glue: cannot get bridge info" log
  message and lack of power to the PCIe slot (green slot
  LED is off).


Additional info:
Patch available in upstream and also backported to RHEL4 2.6.9-59.el

Upstream patch:
From 0bbd6424c55f0ab9e7fcd6a851bc49e265259ff5 Mon Sep 17 00:00:00 2001
From: Gary Hade <garyhade@us.ibm.com>
Date: Thu, 5 Jul 2007 11:10:48 -0700
Subject: [PATCH] PCI: hotplug: acpiphp: avoid acpiphp "cannot get bridge info"
PCI hotplug failure
Comment 1 Flavio Leitner 2007-09-12 11:19:01 EDT
Created attachment 193511 [details]
Backported patch from upstream to RHEL4 2.6.9-59.el
Comment 2 RHEL Product and Program Management 2007-09-12 11:34:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Konrad Rzeszutek 2007-09-24 17:13:07 EDT
Patch tested.
Comment 4 Konrad Rzeszutek 2007-10-03 16:17:33 EDT
Patch posted on RHKL.
Comment 5 Vivek Goyal 2008-03-03 15:40:01 EST
Committed in 68.16.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 8 errata-xmlrpc 2008-07-24 15:16:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.